package xtools.boot.core.utils;

import xtools.base.config.BaseParams;
import xtools.core.StringUtils;

import java.util.List;

/**
 * <p>Title : AddrUtils</p>
 * <p>Description : AddrUtils</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2026/3/13 15:09
 */
public class AddrUtils implements BaseParams {

    /**
     * 本地IP列表
     */
    private static final List<String> LOCAL_IP_LIST;

    // 初始化
    static {
        LOCAL_IP_LIST = List.of(
                "127.0.0.1",
                "localhost"
        );
    }

    /**
     * 是否为本地IP
     *
     * @param ip IP
     * @return true or false
     */
    public static boolean isLocalIp(String ip) {
        if (StringUtils.isEmpty(ip)) {
            return true;
        }
        return LOCAL_IP_LIST.contains(ip);
    }

}
